#
# spec file for package python-webruntime
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define         skip_python2 1
Name:           python-webruntime
Version:        0.5.4
Release:        lp151.1.1
Summary:        A python package to launch HTML5 apps in the browser or a desktop-like runtime
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            http://webruntime.readthedocs.io
Source:         https://files.pythonhosted.org/packages/source/w/webruntime/webruntime-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
# SECTION test requirements
BuildRequires:  %{python_module dialite}
BuildRequires:  %{python_module pytest}
# /SECTION
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-dialite
BuildArch:      noarch

%python_subpackages

%description
The webruntime module can be used to launch applications based on
HTML/JS/CSS. This can be a browser or a runtime that looks like a
desktop app, such as XUL (based on Firefox) or NW.js.

%prep
%setup -q -n webruntime-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

# Test files missing
# See https://github.com/flexxui/webruntime/pull/8
# %%check
# %%python_exec setup.py test

%files %{python_files}
%doc README.md
%license LICENSE
%python3_only %{_bindir}/webruntime
%{python_sitelib}/*

%changelog
* Tue Oct 30 2018 Todd R <toddrme2178@gmail.com>
- Update summary
* Mon Oct 29 2018 Todd R <toddrme2178@gmail.com>
- Initial version
